<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::table('solicitors', function (Blueprint $table) {
            $table->string('company_number')->nullable()->after('name');
            $table->string('sra_number')->nullable()->after('company_number');
        });
    }

    public function down(): void {
        Schema::table('solicitors', function (Blueprint $table) {
            $table->dropColumn(['company_number', 'sra_number']);
        });
    }
};
